diff -r f2ddcf108add qpy/QtCore/qpycore_event_handlers.cpp
--- a/qpy/QtCore/qpycore_event_handlers.cpp	Sat Oct 07 15:32:32 2017 +0100
+++ b/qpy/QtCore/qpycore_event_handlers.cpp	Tue Oct 31 16:14:31 2017 +0000
@@ -60,8 +60,10 @@
     // to monitoring.  Note that subsequently calling disconnect() would cause
     // a crash - this is why we keep a separate record of C++ instances
     // currently being monitored and never explicitly disconnect the monitor.
+    Py_BEGIN_ALLOW_THREADS
     connect(cppInst, SIGNAL(destroyed(QObject *)),
             SLOT(on_destroyed(QObject *)), Qt::UniqueConnection);
+    Py_END_ALLOW_THREADS
 }
 
 
